> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Allowlist



## OpenAPI

````yaml api-reference/openapi.json post /whitelist/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /whitelist/:
    post:
      tags:
        - Allowlist
      summary: Create Allowlist
      operationId: create_whitelist_whitelist__post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WhitelistCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WhitelistCreate:
      properties:
        type:
          $ref: '#/components/schemas/WhiteListType'
        name:
          type: string
          title: Name
        active:
          type: boolean
          title: Active
          default: true
        global_:
          type: boolean
          title: 'Global '
          default: false
        repos:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Repos
        vcs:
          items:
            type: integer
          type: array
          title: Vcs
        comment:
          type: string
          title: Comment
      type: object
      required:
        - type
        - name
        - vcs
      title: WhitelistCreate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WhiteListType:
      type: string
      enum:
        - SECRET
        - VULNERABILITY
      title: WhiteListType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````